Page MenuHomeFreeBSD

PR225692: localedef: mark "space" also as "print" excluding known conflicts
ClosedPublic

Authored by yuripv on Oct 8 2018, 11:04 AM.

Details

Summary

PR: 225692

The POSIX locale definition says the following:

print

Define characters to be classified as printable characters, including the <space>.

In the POSIX locale, all characters in class graph shall be included; no characters in class cntrl shall be included.

In a locale definition file, characters specified for the keywords upper, lower, alpha, digit, xdigit, punct, graph, and the <space> are automatically included in this class. No character specified for the keyword cntrl shall be specified.

So it doesn't explicitly say anything about "space" here, though it doesn't NOT explicitly forbid including "space" in the "print" class, and I *think* we can extend the <space> character being included to the entire "space" character class.

Test Plan

Build/install in share/ctypedefs, run the test case attached to PR225692.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuripv created this revision.Oct 8 2018, 11:04 AM
yuripv updated this revision to Diff 48886.Oct 8 2018, 11:08 AM
yuripv updated this revision to Diff 48888.Oct 8 2018, 11:49 AM

update copyright

pfg accepted this revision.Oct 8 2018, 3:00 PM

LGTM.
(I currently don't have the time to go over to Release Engineering for this though ::-/ )

This revision is now accepted and ready to land.Oct 8 2018, 3:00 PM
cem accepted this revision.Oct 8 2018, 6:16 PM

No objection from me, although I am not very familiar with this particular code or POSIX in this area.

Ditto pfg—I don't have time to do re's process to commit this to head while it is frozen.

yuripv updated this revision to Diff 49392.Oct 21 2018, 1:00 PM

rebase on top of recent localedef changes; make the change less intrusive keeping the warning and only stripping "print" from "space|control" combination.

This revision now requires review to proceed.Oct 21 2018, 1:00 PM
bapt accepted this revision.Oct 23 2018, 2:45 PM
This revision is now accepted and ready to land.Oct 23 2018, 2:45 PM
This revision was automatically updated to reflect the committed changes.